summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorBryan Sullivan <bryan.sullivan@att.com>2017-11-08 11:48:55 -0800
committerBryan Sullivan <bryan.sullivan@att.com>2017-11-08 11:48:55 -0800
commite4ad55d4dd35ac2b078b3ccd696733e7ae2baab4 (patch)
treef24a66f0709439a6d70a5a48b4b1443c1d18657a /tests
parent7a4c1723b50a8babed187eebc36de6bb1afe1cd6 (diff)
Fix compare logic; improve demo start/stop logic
JIRA: MODELS-2 Change-Id: I96e3e5fdfffbb01ca474871242993cc52f49d9ef Signed-off-by: Bryan Sullivan <bryan.sullivan@att.com>
Diffstat (limited to 'tests')
-rw-r--r--tests/vHello_3Node_Tacker.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/vHello_3Node_Tacker.sh b/tests/vHello_3Node_Tacker.sh
index 9c5ec19..a03955a 100644
--- a/tests/vHello_3Node_Tacker.sh
+++ b/tests/vHello_3Node_Tacker.sh
@@ -126,7 +126,7 @@ get_floating_net () {
try () {
count=$1
$3
- while [[ $? == 1 && $count > 0 ]]; do
+ while [[ $? == 1 && $count -gt 0 ]]; do
sleep $2
let count=$count-1
$3
@@ -179,7 +179,7 @@ say_hello() {
echo "$0: $(date) Testing $1"
pass=false
count=10
- while [[ $count > 0 && $pass != true ]]
+ while [[ $count -gt 0 && $pass != true ]]
do
sleep 30
let count=$count-1
@@ -315,7 +315,7 @@ start() {
count=0
resp=$(curl http://${vdu_ip[1]})
- while [[ $count < 10 && "$resp" == "" ]]; do
+ while [[ $count -lt 10 && "$resp" == "" ]]; do
echo "$0: $(date) waiting for web server at VDU1 to startup"
sleep 60
let count=$count+1
@@ -351,7 +351,7 @@ stop() {
try 12 10 "tacker vnf-delete hello-3node"
# It can take some time to delete a VNF - thus wait 2 minutes
count=12
- while [[ $count > 0 && "$(tacker vnf-list|grep hello-3node|awk '{print $2}')" != '' ]]; do
+ while [[ $count -gt 0 && "$(tacker vnf-list|grep hello-3node|awk '{print $2}')" != '' ]]; do
sleep 10
let count=$count-1
done